import request from '@/utils/request'

// 查询订单产品列表
export function listOrderProd(query) {
  return request({
    url: '/bst/orderProd/list',
    method: 'get',
    params: query
  })
}

// 查询订单产品详细
export function getOrderProd(id) {
  return request({
    url: '/bst/orderProd/' + id,
    method: 'get'
  })
}

// 新增订单产品
export function addOrderProd(data) {
  return request({
    url: '/bst/orderProd',
    method: 'post',
    data: data
  })
}

// 修改订单产品
export function updateOrderProd(data) {
  return request({
    url: '/bst/orderProd',
    method: 'put',
    data: data
  })
}

// 删除订单产品
export function delOrderProd(id) {
  return request({
    url: '/bst/orderProd/' + id,
    method: 'delete'
  })
}
